{
  "permissions": {
    "allow": [
      "Bash(curl:*)",
      "Bash(if [ ! -d \"claude\" ])",
      "Bash(then mkdir claude)",
      "Bash(fi)",
      "Bash(mkdir:*)",
      "Bash(rm:*)",
      "Read(//Users/chaerikim/Desktop/회사/Digital Garage/historyhub/reference/**)",
      "Read(//Users/chaerikim/Desktop/회사/Digital Garage/historyhub/define/**)",
      "Bash(copy:*)",
      "Read(//Users/chaerikim/Desktop/회사/Digital Garage/b2c-mvp/references/**)",
      "Read(//Users/chaerikim/Desktop/회사/Digital Garage/b2c-mvp/define/**)",
      "Bash(git add:*)",
      "Bash(git commit:*)",
      "Bash(git push)",
      "Bash(git pull:*)",
      "Bash(netstat:*)",
      "Bash(findstr:*)",
      "Bash(./gradlew analytics-service:compileJava:*)",
      "Bash(python -m json.tool:*)",
      "Bash(powershell:*)"
      "Bash(./gradlew participation-service:compileJava:*)",
      "Bash(find:*)",
      "Bash(netstat:*)",
      "Bash(findstr:*)",
      "Bash(docker-compose up:*)",
      "Bash(docker --version:*)",
      "Bash(timeout 60 bash:*)",
      "Bash(docker ps:*)",
      "Bash(docker exec:*)",
      "Bash(docker-compose down:*)",
      "Bash(git rm:*)",
      "Bash(git restore:*)",
      "Bash(./gradlew participation-service:test:*)",
      "Bash(timeout 30 bash:*)",
      "Bash(helm list:*)",
      "Bash(helm upgrade:*)",
      "Bash(helm repo add:*)",
      "Bash(helm repo update:*)",
      "Bash(kubectl get:*)",
      "Bash(python3:*)",
      "Bash(timeout 120 bash -c 'while true; do sleep 5; kubectl get pods -n kt-event-marketing | grep kafka | grep -v Running && continue; echo \"\"\"\"All Kafka pods are Running!\"\"\"\"; break; done')",
      "Bash(kubectl delete:*)",
      "Bash(kubectl logs:*)",
      "Bash(kubectl describe:*)",
      "Bash(kubectl exec:*)",
      "mcp__context7__resolve-library-id",
      "mcp__context7__get-library-docs",
      "Bash(python -m json.tool:*)"
    ],
    "deny": [],
    "ask": []
  }
}
